From bb387659342f3be62a4f25d758dd731ad2d4f9de Mon Sep 17 00:00:00 2001
From: "Andrej Antonov (impulsm.work)" <antonov@imp-m.ru>
Date: Mon, 7 Dec 2015 15:57:16 +0300
Subject: [PATCH] ``pgForeignTableFactory::CreateObjects(..)`` -- use ``... AND
 des.objsubid=0``

(cherry picked from commit bff01a372780b87692e93ec434dcf7a541d9d90a)
---
 pgadmin/schema/pgForeignTable.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/pgadmin/schema/pgForeignTable.cpp b/pgadmin/schema/pgForeignTable.cpp
index 928934c..18e9ab0 100644
--- a/pgadmin/schema/pgForeignTable.cpp
+++ b/pgadmin/schema/pgForeignTable.cpp
@@ -360,7 +360,8 @@ pgObject *pgForeignTableFactory::CreateObjects(pgCollection *collection, ctlTree
 	                wxT("  FROM pg_class c\n")
 	                wxT("  JOIN pg_foreign_table ft ON c.oid=ft.ftrelid\n")
 	                wxT("  LEFT OUTER JOIN pg_foreign_server fs ON ft.ftserver=fs.oid\n")
-	                wxT("  LEFT OUTER JOIN pg_description des ON (des.objoid=c.oid AND des.classoid='pg_class'::regclass)\n")
+	                wxT("  LEFT OUTER JOIN pg_description des ON (des.objoid=c.oid AND des.classoid='pg_class'::regclass\n")
+	                wxT("    AND des.objsubid=0)\n")
 	                wxT(" WHERE c.relnamespace = ") + collection->GetSchema()->GetOidStr() + wxT("\n")
 	                + restriction +
 	                wxT(" ORDER BY c.relname");
-- 
2.6.3

